Subject: bug#34506: 27.0.50: push-button bug with basic text-property button

From: "Basil L. Contovounesios" <[email-masked]>
Date: Mon, 18 Feb 2019 20:51:12 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Robert Weiner <[email-masked]>
>> Date: Sun, 17 Feb 2019 18:46:09 -0500
>> Cc: [email-masked]
>> 
>> And what about (button-type (button-at (point))) returning
>> nil when button-at returns non-nil.  Both of these functions
>> operate on push-buttons as the button.el code reflects, right?
>> If so, then that should be a bug.  If not, then it could use
>> some explanation.
>
> button-type requires a button as an argument, whereas button-at is
> documented to return a marker for text-buttons.  So you cannot safely
> invoke button-type if the button at point might be of the text-button
> type.

Buffer positions, markers, and overlays all qualify as "buttons", so
button-type works with both text- and overlay-buttons (but not widgets).

So I'm guessing what you meant is "you cannot safely invoke button-type
if the button at point might be a widget rather than a button".

-- 
Basil